Declare sysfs_getAdapterAttributes in vlib_sysfs.h, to avoid an
implicit function declaration in vlib.c.

Include <sys/time.h> in fc_tools/zfcp_ping.c for gettimeofday.

Include <scsi/sg_cmds.h> in vlib_sg.c, to avoid further
implicit function declarations.

diff --git a/fc_tools/zfcp_ping.c b/fc_tools/zfcp_ping.c
index 3cf90d8981936c20..0fa34c4702f4cfd2 100644
--- a/fc_tools/zfcp_ping.c
+++ b/fc_tools/zfcp_ping.c
@@ -13,6 +13,7 @@
 #include <signal.h>
 #include <hbaapi.h>
 #include <errno.h>
+#include <sys/time.h>
 #include "include/zfcp_util.h"
 
 #define FC_PNG_REV              0x00000001
diff --git a/vlib_sg.c b/vlib_sg.c
index 78f0476378e23b2d..b60ffa6de6aea6db 100644
--- a/vlib_sg.c
+++ b/vlib_sg.c
@@ -21,6 +21,8 @@
 
 #include "vlib.h"
 
+#include <scsi/sg_cmds.h>
+
 #define INTERVAL	10000000
 #define RETRIES		1500
 
diff --git a/vlib_sysfs.h b/vlib_sysfs.h
index 2da344e6d9f5f2ea..c8f9ead4f31c7c27 100644
--- a/vlib_sysfs.h
+++ b/vlib_sysfs.h
@@ -35,6 +35,8 @@ HBA_STATUS sysfs_createAndReadConfigPorts(struct vlib_adapter *);
 HBA_STATUS sysfs_createAndReadConfigAdapter();
 HBA_STATUS sysfs_getDiscoveredPortAttributes(HBA_PORTATTRIBUTES **,
 						struct vlib_port *);
+HBA_STATUS sysfs_getAdapterAttributes(HBA_ADAPTERATTRIBUTES **,
+						struct vlib_adapter *);
 HBA_STATUS sysfs_getAdapterPortAttributes(HBA_PORTATTRIBUTES **,
 						struct vlib_adapter *);
 HBA_STATUS sysfs_getPortStatistics(HBA_PORTSTATISTICS **,
